DataProvider::AbstractDataProviderBulkRecordInterface Class Referenceabstract

Defines the abstract class for data provider iterators; the destructor releases the iterator. More...

Inheritance diagram for DataProvider::AbstractDataProviderBulkRecordInterface:
[legend]

## Public Member Functions

| constructor (int block_size)
| Creates the object. More...
int | getBlockSize ()
| Returns the block size.
*hash< string, list< auto > > | getValue ()
| Returns a hash of lists according to the block size or NOTHING if no more data is available. More...
bool | valid ()
| Returns True if there are more records to return.

## Protected Member Functions

abstract hash< string, list< auto > > | getValueImpl ()
| Returns a hash of lists according to the block size. More...

## Protected Attributes

int | block_size
| The record block size.
bool | valid = True
| Valid flag.

## Detailed Description

Defines the abstract class for data provider iterators; the destructor releases the iterator.

## Member Function Documentation

## constructor()

DataProvider::AbstractDataProviderBulkRecordInterface::constructor | ( | int | block_size | ) |

Creates the object.

Parameters

  block_size | the record block size for the iterator

## getValue()

*hash<string, list<auto> > DataProvider::AbstractDataProviderBulkRecordInterface::getValue | ( |  | ) |

Returns a hash of lists according to the block size or NOTHING if no more data is available.

Exceptions

  INVALID-ITERATOR | the iterator is not pointing at a valid element

Note
  This call moves the internal record pointer forward, therefore multiple calls of this methods will return different results as long as data is available

## getValueImpl()

abstract hash<string, list<auto> > DataProvider::AbstractDataProviderBulkRecordInterface::getValueImpl | ( |  | ) |

protected pure virtual

Returns a hash of lists according to the block size.

Exceptions

  INVALID-ITERATOR | the iterator is not pointing at a valid element

Note
  This call moves the internal record pointer forward, therefore multiple calls of this methods will return different results as long as data is available

Implemented in DataProvider::DefaultBulkRecordIterface.